## sdpa 7.3.10+dfsg

=== debian/changelog ===
sdpa (7.3.10+dfsg-2ubuntu1) bionic; urgency=medium

  * Remove hard-coded dep on libscotch-5.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Nov 2017 16:26:27 -0800

sdpa (7.3.10+dfsg-2) unstable; urgency=low

    * Fix debian/rules (closes: #876632)
    * Change priority from extra to optional
    * Update Standards-Version to 4.1.1

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Thu, 19 Oct 2017 16:00:00 +0900

sdpa (7.3.10+dfsg-1) unstable; urgency=low
   * New upstream
     + Remove small bugs
     + Change MUMPS from 4.9.10 to 5.1.1
     + Fix some spell miss
   * Update Standards-Version to 4.1.0

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sun, 01 Oct 2017 10:00:00 +0900

=== debian/control ===
Source: sdpa
Section: math
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
Build-Depends: cdbs, debhelper (>= 7), 
   automake, autotools-dev, autoconf, gfortran,
   libopenblas-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
Standards-Version: 4.1.1
Homepage: http://sdpa.sourceforge.net/

Package: sdpa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
   libopenblas-dev, libmumps-seq-5.1.1
Description: High-performance package for SemiDefinite Programs
 The software SDPA (SemiDefinite Programming Algorithm) is one of the most
 efficient and stable  software packages for solving SDPs based on the
 primal-dual interior-point method.
 SDP (SemiDefinite Program) is used for financial engineering, machine
 learning, control theory, sensor network problem, quantum chemistry,
 quantum information, combinatorial optimizaiton, polynomial
 optimization, and so on.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

Package: libsdpa-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
   libopenblas-dev, libmumps-seq-dev, libscotch-dev
Description: Callable library and examples of SDPA
 This package provides some files [examples and callable library]
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

Package: sdpam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
   libopenblas-dev, libmumps-seq-5.1.1,
   octave, libsdpa-dev
Description: Matlab/Octave interface of SDPA
 This package provides SDPA-M, Matlab/Octave interface 
 of SDPA (SemiDefinite Programming Algorithm).
 See the information of the package 'sdpa'.
 To use SDPA-M on Octave, add /usr/lib/sdpa/mex
 to your Octave path.
 The summary of each command can be found in
 /usr/share/sdpa/mex/CommandList.txt
 The compilation by Matlab can be found at
 /usr/share/doc/sdpa/README.
 Further information on SDP and SDPA can be found at
 http://sdpa.sourceforge.net/

## sdpa 7.3.11+dfsg

=== etc/Makefile ===
# This file is a component of SDPA
# Copyright (C) 2004-2017 SDPA Project

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

SDPA_MAKEFILE = ../Makefile
# This file is automatically made by './configure' script
###################################################################
# The following variables are set from 
# the arguments given to './configure' script for building SDPA
###################################################################
SDPA_PACKAGE= ${shell grep "^PACKAGE_STRING =" ${SDPA_MAKEFILE} | awk '{printf("%s.%s",$$3,$$4)}'}

SDPA_DIR    = ${shell grep "^prefix ="         ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
SDPA_LIB    = ${SDPA_DIR}/lib/libsdpa.a 
MUMPS_DIR   = ${shell grep "^MUMPS_DIR ="      ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
MUMPS_INCLUDE   = ${shell grep "^MUMPS_INCLUDE ="  ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
MUMPS_LIBS  = ${shell grep "^MUMPS_LIBS ="     ${SDPA_MAKEFILE} | cut -f2 -d= | sed 's+ ++'}
CC          = ${shell grep "^CC ="           ${SDPA_MAKEFILE} | cut -f2  -d=}
CFLAGS      = ${shell grep "^CFLAGS = "      ${SDPA_MAKEFILE} | cut -f2- -d=}
CXX         = ${shell grep "^CXX ="          ${SDPA_MAKEFILE} | cut -f2  -d=}
CXXFLAGS    = ${shell grep "^CXXFLAGS = "    ${SDPA_MAKEFILE} | cut -f2- -d=}
CPPFLAGS    = ${shell grep "^CPPFLAGS = "    ${SDPA_MAKEFILE} | cut -f2- -d=}
FC          = ${shell grep "^FC ="           ${SDPA_MAKEFILE} | cut -f2  -d=}
FCFLAGS     = ${shell grep "^FCFLAGS = "     ${SDPA_MAKEFILE} | cut -f2- -d=}
LAPACK_LIBS = ${shell grep "^LAPACK_LIBS = " ${SDPA_MAKEFILE} | cut -f2  -d=}
BLAS_LIBS   = ${shell grep "^BLAS_LIBS = "   ${SDPA_MAKEFILE} | cut -f2  -d=}
PTHREAD_INCLUDE= ${shell grep "^PTHREAD_INCLUDE = " ${SDPA_MAKEFILE} | cut -f2 -d=}
PTHREAD_LIBS= ${shell grep "^PTHREAD_LIBS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
FCLIBS      = ${shell grep "^FCLIBS = "      ${SDPA_MAKEFILE} | cut -f2 -d=}
VERSION     = ${shell grep "^VERSION = "     ${SDPA_MAKEFILE} | cut -f2 -d=}
###################################################################

TARGET = make.inc
all: ${TARGET}
${TARGET}:
	rm -f make.inc
	echo "VERSION     = " ${VERSION}   >> ${TARGET}
	echo "SDPA_DIR    = " ${SDPA_DIR}  >> ${TARGET}
	echo "SDPA_LIB    = " ${SDPA_LIB}  >> ${TARGET} 
	echo "MUMPS_DIR   = " ${MUMPS_DIR} >> ${TARGET}
	echo "CC          = " ${CC} >> ${TARGET}
	echo "CFLAGS      = " ${CFLAGS} >> ${TARGET}
	echo "CXX         = " ${CXX} >> ${TARGET}
	echo "CXXFLAGS    = " ${CXXFLAGS} >> ${TARGET}
	echo "CPPFLAGS    = " ${CPPFLAGS} >> ${TARGET}
	echo "FC          = " ${FC} >> ${TARGET}
	echo "FCFLAGS     = " ${FCFLAGS} >> ${TARGET}
	echo "LAPACK_LIBS = " ${LAPACK_LIBS} >> ${TARGET}
	echo "BLAS_LIBS   = " ${BLAS_LIBS} >> ${TARGET}
	echo "PTHREAD_INCLUDE= " ${PTHREAD_INCLUDE} >> ${TARGET}
	echo "PTHREAD_LIBS= " ${PTHREAD_LIBS} >> ${TARGET}
	echo "FCLIBS      = " ${FCLIBS} >> ${TARGET}
	echo "MUMPS_INCLUDE = " ${MUMPS_INCLUDE} >> ${TARGET}
	echo "MUMPS_LIBS = "  ${MUMPS_LIBS} >> ${TARGET}
	echo "SDPA_LIBS = " ${SDPA_LIB} ${MUMPS_LIBS}\
	       ${LAPACK_LIBS} ${BLAS_LIBS} \
	       ${FCLIBS} ${PTHREAD_LIBS}  >> ${TARGET}

force: clean all
clean:
	rm -f make.inc *~
distclean: clean
install: all
uninstall:

=== mumps/Makefile ===
MUMPS_VER = 5.1.1
MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz

SDPA_MAKEFILE = ../Makefile
# This file is automatically made by './configure' script
###################################################################
# The following variables are set from
# the arguments given to './configure' script for building SDPA
###################################################################

CC          = ${shell grep "^CC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
CFLAGS      = ${shell grep "^CFLAGS = "   ${SDPA_MAKEFILE} | cut -f2 -d=}
CXX         = ${shell grep "^CXX ="       ${SDPA_MAKEFILE} | cut -f2 -d=}
CXXFLAGS    = ${shell grep "^CXXFLAGS = " ${SDPA_MAKEFILE} | cut -f2 -d=}
FC          = ${shell grep "^FC ="        ${SDPA_MAKEFILE} | cut -f2 -d=}
FCFLAGS     = ${shell grep "^FCFLAGS = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
PTHREAD_INCLUDE = ${shell grep "^PTHREAD_INCLUDE = "  ${SDPA_MAKEFILE} | cut -f2 -d=}
AR          = ${shell grep "^AR = "       ${SDPA_MAKEFILE} | cut -f2 -d=}
RANLIB      = ${shell grep "^RANLIB = "  ${SDPA_MAKEFILE} | cut -f2 -d=}

###################################################################

all: build/lib/libdmumps.a

build/lib/libdmumps.a:${MUMPS_TAR_FILE}
	rm -rf build;
	tar xzf ${MUMPS_TAR_FILE}
	# mv mumps-${MUMPS_VER}/ build;
	mv MUMPS_${MUMPS_VER}/ build;
	cd build; cp Make.inc/Makefile.inc.generic.SEQ Makefile.inc;

	cd build; echo "CC = "   ${CC}       >> Makefile.inc;
	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
	cd build; echo "OPTC = " ${CFLAGS}  ${PTHREAD_INCLUDE} >> Makefile.inc;
	cd build; echo "OPTF = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;
	cd build; echo "AR = " ${AR} rv " " >> Makefile.inc;
	cd build; echo "RANLIB = " ${RANLIB} >> Makefile.inc;
	cd build ; ${MAKE} d

clean:
	@echo "##########################################################"
	@echo "If you want to rebuild mumps dir, use 'make distclean'"
	@echo "##########################################################"

${MUMPS_TAR_FILE}:
	@echo "By wget command, downloading a file from"
	@echo "http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}"
	@echo "If fail, you manually put the file into " `pwd` "directory."
	wget http://ftp.de.debian.org/debian/pool/main/m/mumps/${MUMPS_TAR_FILE}

distclean: 
	rm -rf build ${MUMPS_TAR_FILE}

install: all
uninstall:

=== debian/changelog ===
sdpa (7.3.11+dfsg-1ubuntu1) bionic; urgency=medium

  * Update mumps runtime dependency, not sure why it is explicitly
    put there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Dec 2017 10:13:35 +0100

sdpa (7.3.11+dfsg-1) unstable; urgency=low

    * New upstream
      + Add SDPA::resetParameters() function (provided by Tristan Gally)
    * Fix debian/control (closes: #883128)

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 06 Dec 2017 08:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sdpa
 Section: math
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
+Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
    libopenblas-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
@@ -12,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.1
+   libopenblas-dev, libmumps-seq-5.1.2
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -39,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.1,
+   libopenblas-dev, libmumps-seq-5.1.2, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE is used for test building
# export DH_VERBOSE=1

# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
DEB_MAKE_INSTALL_TARGET =

# DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
# DEB_MAKE_ENVVARS = CFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops" CXXFLAGS="-g -O2 -D_REENTRANT -Wall -fPIC -funroll-all-loops" FCFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops"

CFLAGS   += -Wall -fPIC -funroll-all-loops
CXXFLAGS += -Wall -fPIC -funroll-all-loops
FCFLAGS  += -Wall -fPIC -funroll-all-loops

# For old libatlas-base-dev
DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/atlas/liblapack.a" --with-blas="/usr/lib/atlas/libblas.a"
# For new libatlas-base-dev
ifeq ($(shell test -f /usr/lib/$(DEB_HOST_MULTIARCH)/atlas/libblas.a && echo 1),1)
	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/atlas/libblas.a"
endif
# For new libopenblas-dev
ifeq ($(shell test -f /usr/lib/$(DEB_HOST_MULTIARCH)/libopenblas.a && echo 1),1)
	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas/libblas.a"
endif

MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)


SDPA_DIR=$(CURDIR)/debian/sdpa
SDPAM_DIR=$(CURDIR)/debian/sdpam
LIBSDPA_DIR=$(CURDIR)/debian/libsdpa-dev
build/sdpam::
	cd $(CURDIR)/mex && \
	make \
	  MAKE_INCLUDE_DIR=../etc COMPILE_ENVIRONMENT=octave \
	  ALL_INCLUDE=-I../ SDPA_LIB=../libsdpa.a
binary-post-install/sdpam::
	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
	ln -s ../../../share/sdpa/mex/*.m .
	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
	ln -s ../../../share/sdpa/mex/CommandList.txt .

## sdpa 7.3.12+dfsg

=== mex/Makefile ===
#
# SDPA-M: $Revision: 7.3 $
#
# For Matlab
# $  make
# For Octave
# $ make COMPILE_ENVIRONMENT=octave

# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa
# In addition, for Octave, you should try
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa COMPILE_ENVIRONMENT=octave


# To compile with mingw, the following command is a sample.
# Your need to modify directory names and compiler names.
# make MEX="i586-mingw32msvc-g++ -shared" COMPILE_ENVIRONMENT=octave \
# PRINTF_INT_STYLE=-DPRINTF_INT_STYLE=\\\"%zd\\\" \
# OUTPUT_FORMAT="-o \$@.mexw32" \
# MATLAB_INCLUDE="-Imatlab-extern/include" \
# MATLAB_LIBS="-I/matlab-extern/microsoft/libmx.lib -I/matlab-extern/microsoft/libmex.lib" \


# for only SDPA-Project members
# set DEVELOPEMENT_STAGE=1 to compile without 'make install'
# For example
# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 
# In addition, for Octave, you should try
# make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave

# This file is a component of SDPA
# Copyright (C) 2004-2017 SDPA Project

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

MAKE_INCLUDE_DIR=..
-include ${MAKE_INCLUDE_DIR}/make.inc
# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa


# Set manually the following MEX full path
MEX = "auto"
# for Linux (depends on version)
#MEX = /usr/local/matlab/MatlabR2008b/bin/mex
# for Mac (depends on version)
OS = $(shell uname)
ifeq ($(OS),Darwin)
	MEX = /Applications/MATLAB_R2008b.app/bin/mex
endif

# ---- USUALLY just 'mex' is used
MEX = mex

# Automatic search MEX full path by invoking matlab
ifeq ($(MEX),"auto")
	MEX = ${shell matlab -nodisplay -r "s=matlabroot; fprintf('%s\n',s);exit" | tail -2 | head -1 }/bin/mex
endif

MATLAB_LAPACK = -lmwlapack -lmwblas
DEF_FPIC = -fPIC
ARCH = $(shell uname -m)

CXXFLAGSOPTIONS = CXXFLAGS="-Wall  ${DEF_FPIC}" -O -DNDEBUG CC=${CC} CXX=${CXX}
LARGEARRAYOPTION = -largeArrayDims

SDPA_INCLUDE = -I${SDPA_DIR}/include
ifeq ($(DEVELOPEMENT_STAGE),1)
	SDPA_INCLUDE = -I..
	SDPA_LIB = ../libsdpa.a
endif
ALL_INCLUDE = ${SDPA_INCLUDE} ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE}
# ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${MATLAB_LAPACK} ${FCLIBS}
ALL_LIBS    = ${SDPA_LIB} ${MUMPS_LIBS} ${LAPACK_LIBS} ${BLAS_LIBS} ${PTHREAD_LIBS} ${FCLIBS}

PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%zd\\\"
# Output format is usually automatically set by mex command.
OUTPUT_FORMAT =

ifeq ($(COMPILE_ENVIRONMENT),octave)
        MEX = CC=${CC} CXX=${CXX} CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" CPPFLAGS="${CPPFLAGS}" mkoctfile --mex
        CXXFLAGSOPTIONS = 
        LARGEARRAYOPTION =
	PRINTF_INT_STYLE = -DPRINTF_INT_STYLE=\\\"%d\\\"
endif

ALL_OPTION = ${CXXFLAGSOPTIONS} ${LARGEARRAYOPTION} ${PRINTF_INT_STYLE}

all: mexsdpa mexSedumiWrap mexAggSDPcones mexDisAggSDPsol mexWriteSedumiToSDPA mexReadSDPAToSedumi mexReadOutput
# all: mexSedumiWrap

mexBinaryCheck:
	@echo "---------------------------------------------"
	@echo "Mex Compilation Start                        "
	@echo "---------------------------------------------"
	@if [ -f $(MEX) ]; then \
	echo "---------------------------------------------" ;\
	echo " We use                                      " ;\
	echo "   " $(MEX) ;\
	echo "   for Mex compilaton                        " ;\
	echo "---------------------------------------------" ;\
	else \
	echo "---------------------------------------------" ;\
	echo "Automatic search is failed,                  " ;\
	echo " Set the full path for mex command mannually " ;\
	echo " in "`pwd`"/Makekefile" ;\
	echo " and try 'make' in `pwd`                     " ;\
	echo "---------------------------------------------" ;\
	false ;\
	fi

mexsdpa:
	${MEX} ${ALL_OPTION} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_INCLUDE} ${MATLAB_INCLUDE} \
	  mexsdpa.cpp mexFprintf.c \
	  ${MATLAB_LIBS} ${ALL_LIBS} 

mexSedumiWrap:
	${MEX} ${ALL_OPTION} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_INCLUDE}  ${MATLAB_INCLUDE} \
	  mexSedumiWrap.cpp mexFprintf.c \
	  ${MATLAB_LIBS} ${ALL_LIBS} 

mexAggSDPcones:
	${MEX} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
	  mexAggSDPcones.cpp mexFprintf.c ${MATLAB_LIBS}

mexDisAggSDPsol:
	${MEX} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
	  mexDisAggSDPsol.cpp mexFprintf.c ${MATLAB_LIBS}

mexWriteSedumiToSDPA:
	${MEX} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
	  mexWriteSedumiToSDPA.cpp ${MATLAB_LIBS}

mexReadSDPAToSedumi:
	${MEX} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
	  mexReadSDPAToSedumi.cpp ${MATLAB_LIBS}

mexReadOutput:
	${MEX} \
	  ${OUTPUT_FORMAT} \
	  ${ALL_OPTION}  ${MATLAB_INCLUDE} \
	  mexReadOutput.cpp ${MATLAB_LIBS}

# clean all generated files
clean:
	rm -f *~
	rm -f mexsdpa.mex* mexSedumiWrap.mex*
	rm -f mexAggSDPcones.mex* mexDisAggSDPsol.mex*
	rm -f mexFprintf.mex*
	rm -f mexWriteSedumiToSDPA.mex*
	rm -f mexReadSDPAToSedumi.mex* mexReadOutput.mex*
distclean: clean

#
# End of File
#

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.1.1
+MUMPS_VER = 5.1.2
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile

=== debian/changelog ===
sdpa (7.3.12+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.1.1 to 5.1.2
   * Fix debian/rules (closes: #944221)
   * Change priority from extra to optional
   * Change libopenblas-dev to libopenblas-pthread-dev

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Fri, 06 Dec 2019 16:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sdpa
 Section: math
-Priority: extra
+Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 7), 
    automake, autotools-dev, autoconf, gfortran,
-   libopenblas-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
 Standards-Version: 4.1.1
 Homepage: http://sdpa.sourceforge.net/
 
@@ -27,7 +27,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-   libopenblas-dev, libmumps-seq-dev, libscotch-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev
 Description: Callable library and examples of SDPA
  This package provides some files [examples and callable library]
  of SDPA (SemiDefinite Programming Algorithm).
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.2, 
+   libopenblas-pthread-dev, libmumps-seq-5.1.2, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,11 @@
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas/libblas.a"
 endif
 
+# For new libopenblas-pthread-dev
+ifeq ($(shell test -f /usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/libblas.a && echo 1),1)
+	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/libblas.a"
+endif
+
 MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)

## sdpa 7.3.13+dfsg

=== debian/changelog ===
sdpa (7.3.13+dfsg-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix rules to dynamically evaluate mumps version on binNMU
      (Closes: #953158)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Mar 2020 13:15:25 +0100

sdpa (7.3.13+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.1.2 to 5.2.1

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Wed, 04 Mar 2020 16:00:00 +0900

sdpa (7.3.12+dfsg-1ubuntu3) focal; urgency=medium

  * Fix rules to dynamically evaluate mumps version on binNMU
    (Closes: #953158)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Mar 2020 09:03:01 +0100

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
+LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
+DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam

## sdpa 7.3.14+dfsg

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.1.2
+MUMPS_VER = 5.2.1
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile

=== debian/changelog ===
sdpa (7.3.14+dfsg-1) unstable; urgency=low

   * New upstream
     + Change 2004-2017 to 2004-2020
   * Fix rules to dynamically evaluate mumps version on binNMU (Closes: #953158)

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 14 Mar 2020 09:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-5.1.2
+   libopenblas-dev, libmumps-seq-${mumps-seq:Version}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-5.1.2, 
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
+
 LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
 DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)

## sdpa 7.3.15%2Bdfsg

=== debian/changelog ===
sdpa (7.3.15+dfsg-1) unstable; urgency=low

   * New upstream
     + Change MUMPS from 5.2.1 to 5.3.5
   * Ack previous NMU from Sebastian Ramacher, thanks!
   * Stop copying usr/share/sdpa/mex/*.m usr/lib/sdpa/mex/
   * Change compat level to 10
   * Update copyright file

 -- Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>  Sat, 12 Dec 2020 09:00:00 +0900

sdpa (7.3.14+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Peter Michael Green ]
  * Use only the first two parts of version number when generating libmumps-seq dependency
    (Closes: 973825)
  * Bump build-dependency on libmumps-seq-dev to >= 5.3.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Nov 2020 09:34:51 +0100

## sdpa 7.3.15+dfsg

=== libexample/Makefile ===

#############################################################
#  List of examples for callable-library
#
#  example1.cpp: Solve example1.dat-s using inputElements
#  example2.cpp: Solve example2.dat   using inputElements
#  example3.cpp: Solve example1.dat-s with initial point
#  example4.cpp: Solve twice with smaller epsilonStar
#  example5.cpp: Solve problems reading from file
#  example6.cpp: Solve problems reading from file with initial point
#
#############################################################

.PHONY: all lib clean cleanall distclean
.SUFFIXES: .exe

# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa

MAKE_INCLUDE_DIR=..
-include ${MAKE_INCLUDE_DIR}/make.inc
# after "make install", you can find
# 'make.inc' in 'share/sdpa' sub-directory under the installed directory
# For example
# make MAKE_INCLUDE_DIR=/usr/share/sdpa
#  or 
# make MAKE_INCLUDE_DIR=/usr/local/share/sdpa


SRC = $(wildcard example?.cpp)
EXE = $(subst .cpp,.exe,$(SRC))

all: ${EXE}

%.exe: %.o
	${CXX} ${CXXFLAGS}  ${CPPFLAGS} -o $@ $< ${SDPA_LIBS} 
.cpp.o:
	${CXX} -c ${CXXFLAGS} ${CPPFLAGS} \
		-I${SDPA_DIR}/include ${MUMPS_INCLUDE} ${PTHREAD_INCLUDE} \
	        -o $@ $<
clean:
	rm -f *.o *~
cleanall: clean
	rm -f *.exe
distclean: cleanall

install: all
uninstall:

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.2.1
+MUMPS_VER = 5.3.5
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile

=== debian/changelog ===
sdpa (7.3.15+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against libmumps-5.4

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 11:39:43 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>= 7), 
-   automake, autotools-dev, autoconf, gfortran,
+Build-Depends: cdbs, debhelper (>= 10), 
+   automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
 Standards-Version: 4.1.1
 Homepage: http://sdpa.sourceforge.net/
@@ -44,7 +44,7 @@
  This package provides SDPA-M, Matlab/Octave interface 
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
- To use SDPA-M on Octave, add /usr/lib/sdpa/mex
+ To use SDPA-M on Octave, add /usr/share/sdpa/mex and /usr/lib/sdpa/mex
  to your Octave path.
  The summary of each command can be found in
  /usr/share/sdpa/mex/CommandList.txt

## sdpa 7.3.16

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.3.5
+MUMPS_VER = 5.5.0
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile
@@ -33,7 +33,7 @@
 	cd build; echo "FC = "   ${FC}       >> Makefile.inc;
 	cd build; echo "FL = "   ${FC}       >> Makefile.inc;
 	cd build; echo "OPTC = " ${CFLAGS}  ${PTHREAD_INCLUDE} >> Makefile.inc;
-	cd build; echo "OPTF = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
+	cd build; echo "OPTF = " ${FCFLAGS} -fallow-argument-mismatch ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "OPTL = " ${FCFLAGS} ${PTHREAD_INCLUDE}  >> Makefile.inc;
 	cd build; echo "LPORDDIR = "`pwd`"/PORD/lib/"     >> Makefile.inc;
 	cd build; echo "IPORDDIR = "`pwd`"/PORD/include/" >> Makefile.inc;

=== debian/changelog ===
sdpa (7.3.16-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.3.5 to 5.5.0
  * Update copyright file
  * Change liboctave-dev to octave-dev (Closes: 1014142)
  * Remove libopenblas-dev
  * Update Standards-Version to 4.6.1

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Tue, 05 Jul 2022 09:00:00 +0900

=== debian/watch ===
version=3
# opts=dversionmangle=s/\.dfsg\.\d*$// \
http://sf.net/sdpa/sdpa_(.+)\.tar\.gz

## sdpa 7.3.16%2Bdfsg

=== debian/changelog ===
sdpa (7.3.16+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:18 +1100

sdpa (7.3.16+dfsg-1ubuntu1) noble; urgency=medium

  * Fix dependency generation for the shared mumps library.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 15:21:45 +0100

sdpa (7.3.16+dfsg-1build3) noble; urgency=high

  * No change rebuild against libmumps-seq-5.6t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:20 +0100

sdpa (7.3.16+dfsg-1build2) mantic; urgency=medium

  * Rebuild against latest mumps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Sep 2023 18:38:20 -0400

sdpa (7.3.16+dfsg-1build1) lunar; urgency=medium

  * No-change rebuild with libmumps-5.5

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Nov 2022 20:36:58 +0000

sdpa (7.3.16+dfsg-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.3.5 to 5.5.0
  * Update copyright file
  * Change liboctave-dev to octave-dev (Closes: 1014142)
  * Remove libopenblas-dev
  * Update Standards-Version to 4.6.1

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Tue, 05 Jul 2022 09:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Makoto Yamashita <Makoto.Yamashita@is.titech.ac.jp>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 10), 
    automake, autoconf, gfortran,
-   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, liboctave-dev
-Standards-Version: 4.1.1
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
+Standards-Version: 4.6.1
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-dev, libmumps-seq-${mumps-seq:Version}
+   ${lib:Depends}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,7 +39,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
+   libopenblas-pthread-dev, ${lib:Depends},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

## sdpa 7.3.16+dfsg

=== mex/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # make MAKE_INCLUDE_DIR=../etc DEVELOPEMENT_STAGE=1 COMPILE_ENVIRONMENT=octave
 
 # This file is a component of SDPA
-# Copyright (C) 2004-2017 SDPA Project
+# Copyright (C) 2004-2020 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
+Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
 Build-Depends: cdbs, debhelper (>= 10), 
    automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
@@ -12,7 +11,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   ${lib:Depends}
+   libmumps-seq-${mumps-seq:Version}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -39,7 +38,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, ${lib:Depends},
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d*$// \
http://sf.net/sdpa/sdpa_(.+)\.tar\.gz

## sdpa 7.3.18

=== etc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is a component of SDPA
-# Copyright (C) 2004-2017 SDPA Project
+# Copyright (C) 2004-2020 SDPA Project
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.5.0
+MUMPS_VER = 5.6.2
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile

=== debian/changelog ===
sdpa (7.3.18-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix dependency generation for the shared mumps library.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 19 Dec 2024 10:29:49 +0000

sdpa (7.3.18-1) unstable; urgency=low

  * New upstream
    + Change MUMPS from 5.5.1 to 5.6.2 (Closes: 1070447)
  * Update Standards-Version to 4.7.0

  [ Bastian Germann ]
  * Build with compiler dpkg flags
  * Add missing BSD-3-clause license

 -- Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>  Wed, 08 May 2024 09:00:00 +0900

sdpa (7.3.16+dfsg-1ubuntu3) plucky; urgency=medium

  * No-change rebuild for mumps

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 13:24:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>= 10), 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
+Build-Depends: cdbs, debhelper (>=13),
    automake, autoconf, gfortran,
    libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://sdpa.sourceforge.net/
 
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libmumps-seq-${mumps-seq:Version}
+   ${lib:Depends}
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -38,10 +40,10 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version}, 
+   libopenblas-pthread-dev, ${lib:Depends},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
- This package provides SDPA-M, Matlab/Octave interface 
+ This package provides SDPA-M, Matlab/Octave interface
  of SDPA (SemiDefinite Programming Algorithm).
  See the information of the package 'sdpa'.
  To use SDPA-M on Octave, add /usr/share/sdpa/mex and /usr/lib/sdpa/mex
@@ -52,4 +54,3 @@
  /usr/share/doc/sdpa/README.
  Further information on SDP and SDPA can be found at
  http://sdpa.sourceforge.net/
-

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # DH_VERBOSE is used for test building
 # export DH_VERBOSE=1
 
-# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops
+DEB_CXXFLAGS_MAINT_APPEND = -funroll-all-loops
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 # include /usr/share/cdbs/1/class/makefile.mk
@@ -14,8 +17,6 @@
 # DEB_MAKE_ENVVARS = CFLAGS="-funroll-all-loops" CXXFLAGS="-funroll-all-loops"
 # DEB_MAKE_ENVVARS = CFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops" CXXFLAGS="-g -O2 -D_REENTRANT -Wall -fPIC -funroll-all-loops" FCFLAGS="-g -O2 -Wall -fPIC -funroll-all-loops"
 
-CFLAGS   += -Wall -fPIC -funroll-all-loops
-CXXFLAGS += -Wall -fPIC -funroll-all-loops
 FCFLAGS  += -Wall -fPIC -funroll-all-loops
 
 # For old libatlas-base-dev
@@ -37,9 +38,8 @@
 MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
-
-LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
-DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)
+LIBMUMPS := $(shell dpkg-query -W -f '$${Depends}' libmumps-seq-dev | sed -E 's/.*(libmumps-seq[[:alnum:].-]+).*/\1/')
+DEB_DH_GENCONTROL_ARGS_ALL = -- -Vlib:Depends=$(LIBMUMPS)
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -49,8 +49,8 @@
 	make \
 	  MAKE_INCLUDE_DIR=../etc COMPILE_ENVIRONMENT=octave \
 	  ALL_INCLUDE=-I../ SDPA_LIB=../libsdpa.a
-binary-post-install/sdpam::
-	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
-	ln -s ../../../share/sdpa/mex/*.m .
-	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
-	ln -s ../../../share/sdpa/mex/CommandList.txt .
+# binary-post-install/sdpam::
+#	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+#	ln -s ../../../share/sdpa/mex/*.m .
+#	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
+#	ln -s ../../../share/sdpa/mex/CommandList.txt .

=== debian/watch ===
version=4
# version=3
# opts=dversionmangle=s/\.dfsg\.\d*$// \
# http://sf.net/sdpa/sdpa_(.+)\.tar\.gz
http://sf.net/sdpa/sdpa_(\d\S+)\.(?:tgz|(?:tar\.(?:gz)))

## sdpa 7.3.19

=== mumps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MUMPS_VER = 5.6.2
+MUMPS_VER = 5.7.3
 MUMPS_TAR_FILE = mumps_${MUMPS_VER}.orig.tar.gz
 
 SDPA_MAKEFILE = ../Makefile

=== debian/changelog ===
sdpa (7.3.19-1) unstable; urgency=low
  * New upstream
    + Change $MUMPS from 5.6.2 to 5.7.3
    + Change exit() to exit(int) in mexFprintf.c (Closes: 1114368)
    + Remove small warnings
  * Change CDBS to DH (Closes: 1114464)

 -- Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>  Sat, 06 Sep 2025 09:00:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sdpa
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Makoto Yamashita <Makoto.Yamashita@c.titech.ac.jp>
-Build-Depends: cdbs, debhelper (>=13),
+Maintainer: Makoto Yamashita <Makoto.Yamashita@comp.isct.ac.jp>
+Build-Depends: debhelper-compat (=13), 
+   pkgconf,
    automake, autoconf, gfortran,
-   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, octave-dev
+   libopenblas-pthread-dev, libmumps-seq-dev, libscotch-dev, 
+   octave-dev | liboctave-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://sdpa.sourceforge.net/
@@ -13,7 +14,7 @@
 Package: sdpa
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   ${lib:Depends}
+   libmumps-seq-${mumps-seq:Version}t64
 Description: High-performance package for SemiDefinite Programs
  The software SDPA (SemiDefinite Programming Algorithm) is one of the most
  efficient and stable  software packages for solving SDPs based on the
@@ -40,7 +41,7 @@
 Package: sdpam
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-   libopenblas-pthread-dev, ${lib:Depends},
+   libopenblas-pthread-dev, libmumps-seq-${mumps-seq:Version},
    octave, libsdpa-dev
 Description: Matlab/Octave interface of SDPA
  This package provides SDPA-M, Matlab/Octave interface

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,8 @@
 DEB_CFLAGS_MAINT_APPEND = -funroll-all-loops
 DEB_CXXFLAGS_MAINT_APPEND = -funroll-all-loops
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-# include /usr/share/cdbs/1/class/makefile.mk
+%:
+	dh $@ --with autoreconf
 
 # Add here any variable or target overrides you need.
 DEB_MAKE_INSTALL_TARGET =
@@ -35,11 +33,15 @@
 	DEB_CONFIGURE_EXTRA_FLAGS = --with-lapack="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/liblapack.a" --with-blas="/usr/lib/$(DEB_HOST_MULTIARCH)/openblas-pthread/libblas.a"
 endif
 
-MUMPS_LIBS="/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
+MUMPS_LIBS="-ldmumps_seq -lsmumps_seq -lcmumps_seq -lzmumps_seq -lmumps_common_seq -lpord -lscotch -lesmumps -lgfortran -lquadmath"
+# "/usr/lib/$(DEB_HOST_MULTIARCH)/libdmumps_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmumps_common_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libmpiseq_seq.a /usr/lib/$(DEB_HOST_MULTIARCH)/libpord_seq.a -lscotch -lesmumps"
 DEB_CONFIGURE_EXTRA_FLAGS += --with-mumps-libs=$(MUMPS_LIBS)
 
-LIBMUMPS := $(shell dpkg-query -W -f '$${Depends}' libmumps-seq-dev | sed -E 's/.*(libmumps-seq[[:alnum:].-]+).*/\1/')
-DEB_DH_GENCONTROL_ARGS_ALL = -- -Vlib:Depends=$(LIBMUMPS)
+
+# LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-")
+# LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev  | grep ^Depends | tr " " "\n" | grep libmumps-seq | cut -f 3 -d "-")
+LIBMUMPS_VER := $(shell dpkg --status libmumps-seq-dev | awk '/^Version:/ {print $$2}' |cut -f 1 -d "-" | cut -d . -f 1-2)
+DEB_DH_GENCONTROL_ARGS_ALL = -- -Vmumps-seq:Version=$(LIBMUMPS_VER)
 
 SDPA_DIR=$(CURDIR)/debian/sdpa
 SDPAM_DIR=$(CURDIR)/debian/sdpam
@@ -54,3 +56,21 @@
 #	ln -s ../../../share/sdpa/mex/*.m .
 #	cd $(SDPAM_DIR)/usr/lib/sdpa/mex/ && \
 #	ln -s ../../../share/sdpa/mex/CommandList.txt .
+
+override_dh_auto_configure:
+	autoreconf -fi
+	dh_auto_configure -- $(CONFIGURE_FLAGS)
+
+override_dh_auto_install:
+	# Default install
+	dh_auto_install
+	# Install compiled MEX/Octave modules only if they exist (avoid dh_install failures)
+	if ls mex/*.mex* >/dev/null 2>&1; then \
+		install -d debian/sdpam/usr/lib/sdpa/mex/ ; \
+		install -m 755 mex/*.mex* debian/sdpam/usr/lib/sdpa/mex/ ; \
+	fi
+	if ls mex/*.oct* >/dev/null 2>&1; then \
+		install -d debian/sdpam/usr/lib/sdpa/mex/ ; \
+		install -m 755 mex/*.oct* debian/sdpam/usr/lib/sdpa/mex/ ; \
+	fi
+
